<%- include('./partials/header') %>
<style>
    .emp-profile {
        padding: 3%;
        margin-top: 3%;
        margin-bottom: 3%;
        border-radius: 0.5rem;
        background: #fff;
    }

    .profile-img {
        text-align: center;
    }

    .profile-img img {
        width: 70%;
        height: 100%;
    }

    .profile-img .file {
        position: relative;
        overflow: hidden;
        margin-top: -20%;
        width: 70%;
        border: none;
        border-radius: 0;
        font-size: 15px;
        background: #212529b8;
    }

    .profile-img .file input {
        position: absolute;
        opacity: 0;
        right: 0;
        top: 0;
    }

    .profile-head h5 {
        color: #333;
    }

    .profile-head h6 {
        color: #0062cc;
    }

    .profile-edit-btn {
        border: none;
        border-radius: 1.5rem;
        width: 70%;
        padding: 2%;
        font-weight: 600;
        color: #6c757d;
        cursor: pointer;
    }

    .proile-rating {
        font-size: 12px;
        color: #818182;
        margin-top: 5%;
    }

    .proile-rating span {
        color: #495057;
        font-size: 15px;
        font-weight: 600;
    }

    .profile-head .nav-tabs {
        margin-bottom: 5%;
    }

    .profile-head .nav-tabs .nav-link {
        font-weight: 600;
        border: none;
    }

    .profile-head .nav-tabs .nav-link.active {
        border: none;
        border-bottom: 2px solid #0062cc;
    }

    .profile-work {
        padding: 14%;
        margin-top: -15%;
    }

    .profile-work p {
        font-size: 12px;
        color: #818182;
        font-weight: 600;
        margin-top: 10%;
    }

    .profile-work a {
        text-decoration: none;
        color: #495057;
        font-weight: 600;
        font-size: 14px;
    }

    .profile-work ul {
        list-style: none;
    }

    .profile-tab label {
        font-weight: 600;
    }

    .profile-tab p {
        font-weight: 600;
        color: #0062cc;
    }
</style>
<%- include('./partials/file-start') %>
<%- include('./partials/menu') %>
<main role="main" class="inner cover mt-5">
    <h1 class="cover-heading"><%= title %></h1>
    <span class="underline"></span>

    <div class="container emp-profile">
        <div class="row mt-4 mr-2 mb-4">
            <div class="col-md-4">
                <div class="profile-img">
                    <img src="<%= req.session.user.photo %>" alt="" />
                    <div class="file btn btn-lg btn-primary" role="button" style="cursor: pointer">
                        Nahrát novou fotografii
                        <input type="file" name="file" role="button" style="cursor: pointer" />
                    </div>
                </div>
            </div>
            <div class="col-md-8">
                <div class="profile-head mb-3">
                    <h5>
                        <%= req.session.user.name.first %>
                        <%= req.session.user.name.middle %>
                        <%= req.session.user.name.last %>
                    </h5>
                    <h6>
                        <% if (req.session.user.type === 'student') { %>
                        Student (ka)
                        <% } else if (req.session.user.type === 'guarantor') { %>
                        Garant (ka)
                        <% } else if (req.session.user.type === 'admin') { %>
                        Administrátor (ka)
                        <% }%>
                    </h6>
                </div>
                <hr>
                <div class="row mt-3">
                    <div class="col-md-6">
                        <label class="text-dark">Uživatelské ID</label>
                    </div>
                    <div class="col-md-6">
                        <p class="text-secondary"><%= req.session.user._id %></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="text-dark">Email</label>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input type="text" class="form-control" id="email" placeholder="Zadejte svůj email"
                                value="<%= req.session.user.email %>">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="text-dark">Křestní jméno</label>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input type="text" class="form-control" id="firstname"
                                placeholder="Zadejte svoje křestní jméno" value="<%= req.session.user.name.first %>">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="text-dark">Prostřední jméno</label>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input type="text" class="form-control" id="middlename"
                                placeholder="Zadejte svoje prostřední jméno"
                                value="<%= req.session.user.name.middle %>">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="text-dark">Příjmení</label>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input type="text" class="form-control" id="lastname" placeholder="Zadejte svoje příjmení"
                                value="<%= req.session.user.name.last %>">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <button type="button" id="edit-profile" class="profile-edit-btn">Upravit profil</button>
                    </div>
                    <div class="form-group" id="edit-profile-status" style="display: none;"></div>
                </div>
            </div>
        </div>
    </div>
</main>
<%- include('./partials/scripts-file-end') %>
<script>
    $('#edit-profile').click(function () {
        API.user
            .edit({
                firstname: $('#firstname').val(),
                middlename: $('#middlename').val(),
                lastname: $('#lastname').val(),
                email: $('#email').val()
            })
            .done(function (data) {
                console.log(data)
                if (data === 'ok') {
                    $('div#edit-profile-status')
                        .empty()
                        .append(
                            $('<div>', { class: 'alert alert-success alert-dismissible' }).append(
                                $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                                $('<strong>').text('Gratuluji!'),
                                ' Úspěšně jste se upravil(a) svůj profil'
                            )
                        )
                        .show()
                    // Refresh the page
                    setTimeout(function () {
                        window.location.href = window.location.href;
                    }, 3500)
                } else {
                    $('div#edit-profile-status')
                        .empty()
                        .append(
                            $('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
                                $('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
                                $('<strong>').text('Ach ne! '),
                                data
                            )
                        )
                        .show()
                }
            })
    })
</script>
<%- include('./partials/footer') %>
<%- include('./partials/file-end') %>